import { ReactNode, ElementType, HTMLAttributes } from 'react';
import { Responsive } from '../utils';
import { Margin } from '../utils/margin';
import { Padding } from '../utils/padding';
import { Width, Height } from '../utils/dimension';
import { BackgroundAttachment, BackgroundClip, BackgroundColor, BackgroundOpacity, BackgroundOrigin, BackgroundPosition, BackgroundRepeat, BackgroundSize, BackgroundImage, GradientFrom, GradientVia, GradientTo } from './background';
export type BoxProps = HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    children?: ReactNode;
    margin?: Responsive<Margin>;
    padding?: Responsive<Padding>;
    width?: Responsive<Width>;
    height?: Responsive<Height>;
    background?: {
        attachment?: Responsive<BackgroundAttachment>;
        clip?: Responsive<BackgroundClip>;
        color?: Responsive<BackgroundColor>;
        opacity?: Responsive<BackgroundOpacity>;
        origin?: Responsive<BackgroundOrigin>;
        position?: Responsive<BackgroundPosition>;
        repeat?: Responsive<BackgroundRepeat>;
        size?: Responsive<BackgroundSize>;
        image?: Responsive<BackgroundImage>;
        gradient?: {
            from?: Responsive<GradientFrom>;
            via?: Responsive<GradientVia>;
            to?: Responsive<GradientTo>;
        };
    };
};
export declare const Box: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    children?: ReactNode;
    margin?: Responsive<Margin>;
    padding?: Responsive<Padding>;
    width?: Responsive<Width>;
    height?: Responsive<Height>;
    background?: {
        attachment?: Responsive<BackgroundAttachment>;
        clip?: Responsive<BackgroundClip>;
        color?: Responsive<BackgroundColor>;
        opacity?: Responsive<BackgroundOpacity>;
        origin?: Responsive<BackgroundOrigin>;
        position?: Responsive<BackgroundPosition>;
        repeat?: Responsive<BackgroundRepeat>;
        size?: Responsive<BackgroundSize>;
        image?: Responsive<BackgroundImage>;
        gradient?: {
            from?: Responsive<GradientFrom>;
            via?: Responsive<GradientVia>;
            to?: Responsive<GradientTo>;
        };
    };
} & import("react").RefAttributes<HTMLElement>>;
