"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Box = void 0;
var tslib_1 = require("tslib");
var react_1 = require("react");
var clsx_1 = tslib_1.__importDefault(require("clsx"));
var utils_1 = require("../utils");
var margin_1 = require("../utils/margin");
var padding_1 = require("../utils/padding");
var dimension_1 = require("../utils/dimension");
exports.Box = (0, react_1.forwardRef)(function (props, ref) {
    var _a, _b, _c;
    var _d = props.element, element = _d === void 0 ? 'div' : _d, className = props.className, margin = props.margin, padding = props.padding, width = props.width, height = props.height, background = props.background, rest = tslib_1.__rest(props, ["element", "className", "margin", "padding", "width", "height", "background"]);
    var marginClassName = (0, utils_1.responsive)(margin_1.resolveMargin, margin);
    var paddingClassName = (0, utils_1.responsive)(padding_1.resolvePadding, padding);
    var widthClassName = (0, utils_1.responsive)(dimension_1.resolveWidth, width);
    var heightClassName = (0, utils_1.responsive)(dimension_1.resolveHeight, height);
    var backgroundAttachmentClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.attachment);
    var backgroundClipClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg-clip'), background === null || background === void 0 ? void 0 : background.clip);
    var backgroundColorClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.color);
    var backgroundOpacityClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg-opacity'), background === null || background === void 0 ? void 0 : background.opacity);
    var backgroundOriginClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg-origin'), background === null || background === void 0 ? void 0 : background.origin);
    var backgroundPositionClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.position);
    var backgroundRepeatClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.repeat);
    var backgroundSizeClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.size);
    var backgroundImageClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), background === null || background === void 0 ? void 0 : background.image);
    var gradientFromClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('from'), (_a = background === null || background === void 0 ? void 0 : background.gradient) === null || _a === void 0 ? void 0 : _a.from);
    var gradientViaClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), (_b = background === null || background === void 0 ? void 0 : background.gradient) === null || _b === void 0 ? void 0 : _b.via);
    var gradientToClassName = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('bg'), (_c = background === null || background === void 0 ? void 0 : background.gradient) === null || _c === void 0 ? void 0 : _c.to);
    return (0, react_1.createElement)(element, tslib_1.__assign(tslib_1.__assign({ className: (0, clsx_1.default)(marginClassName, paddingClassName, widthClassName, heightClassName, backgroundAttachmentClassName, backgroundClipClassName, backgroundColorClassName, backgroundOpacityClassName, backgroundOriginClassName, backgroundPositionClassName, backgroundRepeatClassName, backgroundSizeClassName, backgroundImageClassName, gradientFromClassName, gradientViaClassName, gradientToClassName, className) }, rest), { ref: ref }));
});
//# sourceMappingURL=Box.js.map