"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlexBox = FlexBox;
var tslib_1 = require("tslib");
var clsx_1 = tslib_1.__importDefault(require("clsx"));
var react_1 = tslib_1.__importDefault(require("react"));
var Box_1 = require("../Box");
var utils_1 = require("../utils");
function FlexBox(props) {
    var className = props.className, direction = props.direction, align = props.align, justify = props.justify, wrap = props.wrap, gap = props.gap, boxProps = tslib_1.__rest(props, ["className", "direction", "align", "justify", "wrap", "gap"]);
    var flexDirectionClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('flex'), direction);
    var justifyContentClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('justify'), justify);
    var alignItemsClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('items'), align);
    var flexWrapClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('flex'), wrap);
    var gapClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('gap'), gap);
    return (react_1.default.createElement(Box_1.Box, tslib_1.__assign({ className: (0, clsx_1.default)('flex', flexDirectionClassNames, justifyContentClassNames, alignItemsClassNames, flexWrapClassNames, gapClassNames, className) }, boxProps)));
}
//# sourceMappingURL=FlexBox.js.map