"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlexItem = FlexItem;
var tslib_1 = require("tslib");
var clsx_1 = tslib_1.__importDefault(require("clsx"));
var react_1 = tslib_1.__importDefault(require("react"));
var Box_1 = require("../Box");
var utils_1 = require("../utils");
function FlexItem(props) {
    var className = props.className, flex = props.flex, grow = props.grow, shrink = props.shrink, boxProps = tslib_1.__rest(props, ["className", "flex", "grow", "shrink"]);
    var flexClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('flex'), flex);
    var flexGrowClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('flex'), grow);
    var flexShrinkClassNames = (0, utils_1.responsive)((0, utils_1.createPrefixValueResolver)('flex'), shrink);
    return (react_1.default.createElement(Box_1.Box, tslib_1.__assign({ className: (0, clsx_1.default)(flexClassNames, flexGrowClassNames, flexShrinkClassNames, className) }, boxProps)));
}
//# sourceMappingURL=FlexItem.js.map