import { Auto, Pixel, Scale, NegativeScale } from '../tokens/scale';
import { Responsive } from '../utils';
import { BoxProps } from '../Box';
import type { ExclusiveXY } from '../utils/types';
type PositionScale = Scale | Pixel | NegativeScale;
type PositionDirection = {
    inset?: PositionScale;
    x?: never;
    y?: never;
    top?: never;
    bottom?: never;
    left?: never;
    right?: never;
} | (ExclusiveXY<PositionScale> & {
    inset?: never;
});
type ZIndex = 0 | 10 | 20 | 30 | 40 | 50 | Auto;
type SpecificPositionProps = BoxProps & PositionDirection & {
    zIndex?: Responsive<ZIndex>;
};
export declare function Static(props: SpecificPositionProps): JSX.Element;
export declare function Relative(props: SpecificPositionProps): JSX.Element;
export declare function Absolute(props: SpecificPositionProps): JSX.Element;
export declare function Fixed(props: SpecificPositionProps): JSX.Element;
export declare function Sticky(props: SpecificPositionProps): JSX.Element;
export {};
