import { Color } from '../tokens/color';
import { Opacity } from '../tokens/scale';
import { Responsive } from '../utils';
import { InputType, FontFamily, FontSize, FontSmoothing, FontStyle, FontWeight, FontVariantNumeric, LetterSpacing, LineHeight, ListStyleType, ListStylePosition, TextAlign, TextDecoration, TextTransform, TextOverflow, VerticalAlign, Whitespace, WordBreak } from './types';
export declare const Input: import("react").ForwardRefExoticComponent<import("react").HTMLAttributes<HTMLElement> & {
    element?: import("react").ElementType;
    family?: Responsive<FontFamily>;
    size?: Responsive<FontSize>;
    smoothing?: Responsive<FontSmoothing>;
    fontStyle?: Responsive<FontStyle>;
    weight?: Responsive<FontWeight>;
    variantNumeric?: Responsive<FontVariantNumeric>;
    letterSpacing?: Responsive<LetterSpacing>;
    lineHeight?: Responsive<LineHeight>;
    listStyle?: Responsive<ListStyleType>;
    listStylePosition?: Responsive<ListStylePosition>;
    align?: Responsive<TextAlign>;
    color?: Responsive<Color>;
    opacity?: Responsive<Opacity>;
    decoration?: Responsive<TextDecoration>;
    transform?: Responsive<TextTransform>;
    overflow?: Responsive<TextOverflow>;
    verticalAlign?: Responsive<VerticalAlign>;
    whitespace?: Responsive<Whitespace>;
    wordBreak?: Responsive<WordBreak>;
} & {
    type?: InputType;
    id?: string;
    name?: string;
    value?: string;
    placeholderColor?: Responsive<Color>;
    placeholderOpacity?: Responsive<Opacity>;
} & import("react").RefAttributes<HTMLInputElement>>;
