import { ElementType, HTMLAttributes } from 'react';
import { Color } from '../tokens/color';
import { Opacity } from '../tokens/scale';
import { FontFamily, FontSize, FontSmoothing, FontStyle, FontWeight, FontVariantNumeric, LetterSpacing, LineHeight, ListStyleType, ListStylePosition, TextAlign, TextDecoration, TextTransform, TextOverflow, VerticalAlign, Whitespace, WordBreak } from './types';
import { Responsive } from '../utils';
export type TextProps = HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    family?: Responsive<FontFamily>;
    size?: Responsive<FontSize>;
    smoothing?: Responsive<FontSmoothing>;
    fontStyle?: Responsive<FontStyle>;
    weight?: Responsive<FontWeight>;
    variantNumeric?: Responsive<FontVariantNumeric>;
    letterSpacing?: Responsive<LetterSpacing>;
    lineHeight?: Responsive<LineHeight>;
    listStyle?: Responsive<ListStyleType>;
    listStylePosition?: Responsive<ListStylePosition>;
    align?: Responsive<TextAlign>;
    color?: Responsive<Color>;
    opacity?: Responsive<Opacity>;
    decoration?: Responsive<TextDecoration>;
    transform?: Responsive<TextTransform>;
    overflow?: Responsive<TextOverflow>;
    verticalAlign?: Responsive<VerticalAlign>;
    whitespace?: Responsive<Whitespace>;
    wordBreak?: Responsive<WordBreak>;
};
export declare const Text: import("react").ForwardRefExoticComponent<HTMLAttributes<HTMLElement> & {
    element?: ElementType;
    family?: Responsive<FontFamily>;
    size?: Responsive<FontSize>;
    smoothing?: Responsive<FontSmoothing>;
    fontStyle?: Responsive<FontStyle>;
    weight?: Responsive<FontWeight>;
    variantNumeric?: Responsive<FontVariantNumeric>;
    letterSpacing?: Responsive<LetterSpacing>;
    lineHeight?: Responsive<LineHeight>;
    listStyle?: Responsive<ListStyleType>;
    listStylePosition?: Responsive<ListStylePosition>;
    align?: Responsive<TextAlign>;
    color?: Responsive<Color>;
    opacity?: Responsive<Opacity>;
    decoration?: Responsive<TextDecoration>;
    transform?: Responsive<TextTransform>;
    overflow?: Responsive<TextOverflow>;
    verticalAlign?: Responsive<VerticalAlign>;
    whitespace?: Responsive<Whitespace>;
    wordBreak?: Responsive<WordBreak>;
} & import("react").RefAttributes<HTMLElement>>;
