"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.responsive = responsive;
var tslib_1 = require("tslib");
var clsx_1 = tslib_1.__importDefault(require("clsx"));
var Size;
(function (Size) {
    Size["ALL"] = "";
    Size["SMALL"] = "sm";
    Size["MEDIUM"] = "md";
    Size["LARGE"] = "lg";
    Size["XLARGE"] = "xl";
    Size["XXLARGE"] = "2xl";
})(Size || (Size = {}));
function responsive(resolverFn, value) {
    if (value == null) {
        return '';
    }
    if (Array.isArray(value)) {
        var all = value[0], sm = value[1], md = value[2], lg = value[3], xl = value[4], xxl = value[5];
        return (0, clsx_1.default)(all ? resolverFn(all) : '', sm ? "".concat(Size.SMALL, ":").concat(resolverFn(sm)) : '', md ? "".concat(Size.MEDIUM, ":").concat(resolverFn(md)) : '', lg ? "".concat(Size.LARGE, ":").concat(resolverFn(lg)) : '', xl ? "".concat(Size.XLARGE, ":").concat(resolverFn(xl)) : '', xxl ? "".concat(Size.XXLARGE, ":").concat(resolverFn(xxl)) : '');
    }
    return resolverFn(value);
}
//# sourceMappingURL=responsive.js.map